namespace Decal.Filters;

public class Component : IIdNameTableEntry
{
	private int mID;

	private string mName;

	private ComponentType mType;

	private int mIconId;

	private int mSort;

	private int mGestureID;

	private float mGestureSpeed;

	private string mWord;

	private float mBurnRate;

	public int Id => mID;

	public string Name
	{
		get
		{
			return mName;
		}
		internal set
		{
			mName = value;
		}
	}

	public ComponentType Type
	{
		get
		{
			return mType;
		}
		internal set
		{
			mType = value;
		}
	}

	public int IconId
	{
		get
		{
			return mIconId;
		}
		internal set
		{
			mIconId = value;
		}
	}

	public int SortKey
	{
		get
		{
			return mSort;
		}
		internal set
		{
			mSort = value;
		}
	}

	public int GestureId
	{
		get
		{
			return mGestureID;
		}
		internal set
		{
			mGestureID = value;
		}
	}

	public float GestureSpeed
	{
		get
		{
			return mGestureSpeed;
		}
		internal set
		{
			mGestureSpeed = value;
		}
	}

	public string Word
	{
		get
		{
			return mWord;
		}
		internal set
		{
			mWord = value;
		}
	}

	public float BurnRate
	{
		get
		{
			return mBurnRate;
		}
		internal set
		{
			mBurnRate = value;
		}
	}

	internal Component(int ID)
	{
		mID = ID;
	}

	public override string ToString()
	{
		return mName;
	}
}
